package com.jsh.erp.datasource.entities;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.math.BigDecimal;
import java.util.List;

/**
 * 产品表实体类（商品信息）
 */
@Data
@Accessors(chain = true)
public class Material {

    @ApiModelProperty("主键id")
    private Long id;

    @ApiModelProperty("产品类型id")
    private Long categoryId;

    @ApiModelProperty("产品名称")
    private String name;

    @ApiModelProperty("型号")
    private String model;

    @ApiModelProperty("规格")
    private String standard;

    @ApiModelProperty("品牌")
    private String brand;

    @ApiModelProperty("助记码")
    private String mnemonic;

    @ApiModelProperty("颜色")
    private String color;

    @ApiModelProperty("单位-单个")
    private String unit;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("图片名称")
    private String imgName;

    @ApiModelProperty("计量单位Id")
    private Long unitId;

    @ApiModelProperty("基础重量(kg)")
    private BigDecimal weight;

    @ApiModelProperty("启用 0-禁用  1-启用")
    private Boolean enabled;

    @ApiModelProperty("自定义1")
    private String otherField1;

    @ApiModelProperty("自定义2")
    private String otherField2;

    @ApiModelProperty("自定义3")
    private String otherField3;

    @ApiModelProperty("是否开启序列号，0否，1是")
    private String enableSerialNumber;

    @ApiModelProperty("是否开启批号，0否，1是")
    private String enableBatchNumber;

    @ApiModelProperty("租户id")
    private Long tenantId;

    @ApiModelProperty("删除标记，0未删除，1删除")
    private String deleteFlag;

    @ApiModelProperty("系统sku")
    private String systemSku;

    @ApiModelProperty("无动销提醒周期")
    private String movingPinReminderCycle;

    private List<MaterialExtend> list;


    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    public void setModel(String model) {
        this.model = model == null ? null : model.trim();
    }

    public void setStandard(String standard) {
        this.standard = standard == null ? null : standard.trim();
    }

    public void setBrand(String brand) {
        this.brand = brand == null ? null : brand.trim();
    }

    public void setMnemonic(String mnemonic) {
        this.mnemonic = mnemonic == null ? null : mnemonic.trim();
    }

    public void setColor(String color) {
        this.color = color == null ? null : color.trim();
    }

    public void setUnit(String unit) {
        this.unit = unit == null ? null : unit.trim();
    }

    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    public void setImgName(String imgName) {
        this.imgName = imgName == null ? null : imgName.trim();
    }

    public void setOtherField1(String otherField1) {
        this.otherField1 = otherField1 == null ? null : otherField1.trim();
    }

    public void setOtherField2(String otherField2) {
        this.otherField2 = otherField2 == null ? null : otherField2.trim();
    }

    public void setOtherField3(String otherField3) {
        this.otherField3 = otherField3 == null ? null : otherField3.trim();
    }

    public void setEnableSerialNumber(String enableSerialNumber) {
        this.enableSerialNumber = enableSerialNumber == null ? null : enableSerialNumber.trim();
    }

    public void setEnableBatchNumber(String enableBatchNumber) {
        this.enableBatchNumber = enableBatchNumber == null ? null : enableBatchNumber.trim();
    }

    public void setDeleteFlag(String deleteFlag) {
        this.deleteFlag = deleteFlag == null ? null : deleteFlag.trim();
    }

}